<?php
/**
 * Breadcrumb Settings
 *
 * @package Excel_Business
 */

function excel_business_customize_register_breadcrumb( $wp_customize ) {

    /** BreadCrumb Settings */
    $wp_customize->add_section(
        'breadcrumb_settings',
        array(
            'title'      => __( 'Breadcrumb Settings', 'excel-business' ),
            'priority'   => 50,
            'capability' => 'edit_theme_options',
        )
    );

    /** Enable/Disable BreadCrumb */
    $wp_customize->add_setting(
        'ed_breadcrumb',
        array(
            'default'           => '',
            'sanitize_callback' => 'excel_business_sanitize_checkbox',
        )
    );
    
    $wp_customize->add_control(
        'ed_breadcrumb',
        array(
            'label'   => __( 'Enable Breadcrumb', 'excel-business' ),
            'section' => 'breadcrumb_settings',
            'type'    => 'checkbox',
        )
    );
    
    /** Home Text */
    $wp_customize->add_setting(
        'breadcrumb_home_text',
        array(
            'default'           => __( 'Home', 'excel-business' ),
            'sanitize_callback' => 'sanitize_text_field',
        )
    );
    
    $wp_customize->add_control(
        'breadcrumb_home_text',
        array(
            'label'   => __( 'Breadcrumb Home Text', 'excel-business' ),
            'section' => 'breadcrumb_settings',
            'type'    => 'text',
        )
    );
    
    /** Breadcrumb Separator */
    $wp_customize->add_setting(
        'breadcrumb_separator',
        array(
            'default'           => __( '/', 'excel-business' ),
            'sanitize_callback' => 'sanitize_text_field',
        )
    );
    
    $wp_customize->add_control(
        'breadcrumb_separator',
        array(
            'label'   => __( 'Breadcrumb Separator', 'excel-business' ),
            'section' => 'breadcrumb_settings',
            'type'    => 'text',
        )
    );
    /** BreadCrumb Settings Ends */
    
}
add_action( 'customize_register', 'excel_business_customize_register_breadcrumb' );